Subject: Re: bug#34337: 26.1; java-mode indenting is confused by multiline annotations

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Feb 2021 15:50:52 +0100

[email-masked] writes:

> java-mode indents multiline class level annotations wrongly, and indents
> the class following the annotation wrongly (see below for an example).

I can reproduce this with Emacs 27, but not with Emacs 28, so I this was
fixed by Alan's change in this area a few weeks ago, and I'm closing
this bug report.  If you can still see this problem in Emacs 28, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no